메인 콘텐츠로 건너뛰기
GET
/
admin
/
discounts
할인 목록 조회
curl --request GET \
  --url https://api.headlesscommerce.io/v1/admin/discounts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "code": "<string>",
      "type": "code",
      "value_type": "fixed",
      "value": 123,
      "target": "order",
      "usage_limit": 123,
      "usage_count": 123,
      "per_customer_limit": 123,
      "minimum_amount": {
        "amount": 123,
        "currency": "<string>"
      },
      "maximum_discount": {
        "amount": 123,
        "currency": "<string>"
      },
      "starts_at": "2023-11-07T05:31:56Z",
      "ends_at": "2023-11-07T05:31:56Z",
      "is_active": true,
      "conditions": [
        {
          "id": "<string>",
          "type": "product",
          "operator": "in",
          "values": [
            "<string>"
          ]
        }
      ],
      "metadata": {},
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total_count": 123,
  "has_more": true,
  "next_cursor": "<string>"
}

인증

Authorization
string
header
필수

API Key. Example: sk_live_xxxxx or pk_live_xxxxx

쿼리 매개변수

limit
integer
기본값:20
필수 범위: 1 <= x <= 100
starting_after
string

Return results after this ID (cursor)

type
enum<string>
사용 가능한 옵션:
code,
automatic
is_active
boolean

응답

200 - application/json

성공

data
object[]
total_count
integer

Only returned in Admin API

has_more
boolean
next_cursor
string | null